using UnityEngine;

[CreateAssetMenu]
public class AIStats : ScriptableObject {
	[field: Min(0f)]public float closeEnough = 1f;
	[field: Min(0f)]public float decayTime = 5f;
	
    public Vector3[] roamPositions = null!;

    public Vector3 getRandomRoamPositon(){
        int randInd = Random.Range(0,roamPositions.Length-1);
        return roamPositions[randInd];
    }
	
	[field: SerializeField]
	public AnimationCurve ThrownCurve { get; private set; }
	
	[field: SerializeField]
	public float ThrownDurationPerMeter { get; private set; }
	
	[field: SerializeField] [field: Min(0f)]
	public float MinVelocityWhenThrown { get; private set; } = 5f;
	
	[field: SerializeField] [field: Min(0f)]
	public float throwForce = 3f;
}